我在 AutoCAD 中有以下 2D 多段线。
我正在尝试创建一个代码,该代码在选择所有这些代码时会过滤掉那些内部舱口的人。
从另一个来源,我得到了以下代码(感谢 tharwat),但是,虽然我理解了它的每一部分,但从第二个开始ssget
我就无法理解这些元素的含义。
(defun c:test (/ ss i sn e)
(if (setq ss (ssget '((0 . "POLYLINE")))) ;;selects all the polylines in a window
(repeat (setq i (sslength ss)) ;;cycles trough each one of them
(if (ssget "_CP" ;;???defines a crossing poligon inside wich the polylines will be considered???
(mapcar 'cdr ;;???
(vl-remove-if-not '(lambda (p) (= (car p) 10))
(entget (setq sn (ssname ss (setq i (1- i)))))
)
)
'((0 . "HATCH"))
)
(ssdel sn ss) ;;deletes the entities wich belong to the selection set
)
)
)
(sssetfirst nil ss)
(princ)
)
初学者在这里,对不起,如果这不是一个好问题。